from p2_store.postgresInt import SQLit

class Log:

    def __init__(self):
        self.sqlit = SQLit()

        # log file types
        self.OUTPUT       = 1
        self.CHAOSTOOLKIT = 2
        self.JOURNAL      = 3


    def create_log( self, exp_id, log ):
        log['exp_id'] = exp_id
        stmt = self.sqlit.insert_stmt('exp_logs', log)
        return self.sqlit.execute(stmt, log)

    def get_logs(self, filter):
        return self.sqlit.select_as_dict('exp_logs', filter)
